com.impinj.stp

## Class StpApi.GPOConfig.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.GPOConfig.Builder>
      - - com.impinj.stp.StpApi.GPOConfig.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.GPOConfigOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.GPOConfig

      public static final class StpApi.GPOConfig.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.GPOConfig.Builder>
      implements StpApi.GPOConfigOrBuilder

  Protobuf type `Impinj.STP.GPOConfig` Define how output functions map to signal lines and defines output polarities.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.GPOConfig` | `build()`
    `StpApi.GPOConfig` | `buildPartial()`
    `StpApi.GPOConfig.Builder` | `clear()`
    `StpApi.GPOConfig.Builder` | `clearEnableOperationResultGpo()` If set to true, the GPO will change when the operation is complete.
    `StpApi.GPOConfig.Builder` | `clearGPO1Polarity()` Operation Status - Start and Complete
    `StpApi.GPOConfig.Builder` | `clearGPO2Polarity()` In separate output mode, GPO2 will indicate with this polarity that the operation passed.
    `StpApi.GPOConfig.Builder` | `clearGPO3Polarity()` In separate output mode, a failure will set GPO3 low or high depending on this setting.
    `StpApi.GPOConfig.Builder` | `clearGPOPulseDuration()` The output pulse duration in milliseconds.
    `StpApi.GPOConfig.Builder` | `clearSignalingMode()` Operation pass/fail on the same GPO or separate GPOs.
    `StpApi.GPOConfig.Builder` | `clone()`
    `StpApi.GPOConfig` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `boolean` | `getEnableOperationResultGpo()` If set to true, the GPO will change when the operation is complete.
    `StpApi.GPIOPolarity` | `getGPO1Polarity()` Operation Status - Start and Complete
    `StpApi.GPIOPolarity` | `getGPO2Polarity()` In separate output mode, GPO2 will indicate with this polarity that the operation passed.
    `StpApi.GPIOPolarity` | `getGPO3Polarity()` In separate output mode, a failure will set GPO3 low or high depending on this setting.
    `int` | `getGPOPulseDuration()` The output pulse duration in milliseconds.
    `StpApi.GPIOSignalMode` | `getSignalingMode()` Operation pass/fail on the same GPO or separate GPOs.
    `boolean` | `hasEnableOperationResultGpo()` If set to true, the GPO will change when the operation is complete.
    `boolean` | `hasGPO1Polarity()` Operation Status - Start and Complete
    `boolean` | `hasGPO2Polarity()` In separate output mode, GPO2 will indicate with this polarity that the operation passed.
    `boolean` | `hasGPO3Polarity()` In separate output mode, a failure will set GPO3 low or high depending on this setting.
    `boolean` | `hasGPOPulseDuration()` The output pulse duration in milliseconds.
    `boolean` | `hasSignalingMode()` Operation pass/fail on the same GPO or separate GPOs.
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.GPOConfig.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.GPOConfig.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.GPOConfig.Builder` | `mergeFrom(StpApi.GPOConfig other)`
    `StpApi.GPOConfig.Builder` | `setEnableOperationResultGpo(boolean value)` If set to true, the GPO will change when the operation is complete.
    `StpApi.GPOConfig.Builder` | `setGPO1Polarity(StpApi.GPIOPolarity value)` Operation Status - Start and Complete
    `StpApi.GPOConfig.Builder` | `setGPO2Polarity(StpApi.GPIOPolarity value)` In separate output mode, GPO2 will indicate with this polarity that the operation passed.
    `StpApi.GPOConfig.Builder` | `setGPO3Polarity(StpApi.GPIOPolarity value)` In separate output mode, a failure will set GPO3 low or high depending on this setting.
    `StpApi.GPOConfig.Builder` | `setGPOPulseDuration(int value)` The output pulse duration in milliseconds.
    `StpApi.GPOConfig.Builder` | `setSignalingMode(StpApi.GPIOSignalMode value)` Operation pass/fail on the same GPO or separate GPOs.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.GPOConfig.Builder>`

    - #### clear

          public StpApi.GPOConfig.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.GPOConfig.Builder>`

    - #### clone

          public StpApi.GPOConfig.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.GPOConfig.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.GPOConfig.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.GPOConfig getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.GPOConfig build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.GPOConfig buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.GPOConfig.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.GPOConfig.Builder>`

    - #### mergeFrom

          public StpApi.GPOConfig.Builder mergeFrom(StpApi.GPOConfig other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.GPOConfig.Builder>`

    - #### mergeFrom

          public StpApi.GPOConfig.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.GPOConfig.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasSignalingMode

          public boolean hasSignalingMode()

      Operation pass/fail on the same GPO or separate GPOs.
      Specified by:
        `hasSignalingMode` in interface `StpApi.GPOConfigOrBuilder`

    - #### getSignalingMode

          public StpApi.GPIOSignalMode getSignalingMode()

      Operation pass/fail on the same GPO or separate GPOs.
      Specified by:
        `getSignalingMode` in interface `StpApi.GPOConfigOrBuilder`

    - #### setSignalingMode

          public StpApi.GPOConfig.Builder setSignalingMode(StpApi.GPIOSignalMode value)

      Operation pass/fail on the same GPO or separate GPOs.

    - #### clearSignalingMode

          public StpApi.GPOConfig.Builder clearSignalingMode()

      Operation pass/fail on the same GPO or separate GPOs.

    - #### hasGPO1Polarity

          public boolean hasGPO1Polarity()

      Operation Status - Start and Complete
      Specified by:
        `hasGPO1Polarity` in interface `StpApi.GPOConfigOrBuilder`

    - #### getGPO1Polarity

          public StpApi.GPIOPolarity getGPO1Polarity()

      Operation Status - Start and Complete
      Specified by:
        `getGPO1Polarity` in interface `StpApi.GPOConfigOrBuilder`

    - #### setGPO1Polarity

          public StpApi.GPOConfig.Builder setGPO1Polarity(StpApi.GPIOPolarity value)

      Operation Status - Start and Complete

    - #### clearGPO1Polarity

          public StpApi.GPOConfig.Builder clearGPO1Polarity()

      Operation Status - Start and Complete

    - #### hasGPO2Polarity

          public boolean hasGPO2Polarity()

      In separate output mode, GPO2 will indicate with this polarity that the operation passed. In combined mode when the operation clock transitions, this setting indicates pass and the opposite polarity failure.
      Specified by:
        `hasGPO2Polarity` in interface `StpApi.GPOConfigOrBuilder`

    - #### getGPO2Polarity

          public StpApi.GPIOPolarity getGPO2Polarity()

      In separate output mode, GPO2 will indicate with this polarity that the operation passed. In combined mode when the operation clock transitions, this setting indicates pass and the opposite polarity failure.
      Specified by:
        `getGPO2Polarity` in interface `StpApi.GPOConfigOrBuilder`

    - #### setGPO2Polarity

          public StpApi.GPOConfig.Builder setGPO2Polarity(StpApi.GPIOPolarity value)

      In separate output mode, GPO2 will indicate with this polarity that the operation passed. In combined mode when the operation clock transitions, this setting indicates pass and the opposite polarity failure.

    - #### clearGPO2Polarity

          public StpApi.GPOConfig.Builder clearGPO2Polarity()

      In separate output mode, GPO2 will indicate with this polarity that the operation passed. In combined mode when the operation clock transitions, this setting indicates pass and the opposite polarity failure.

    - #### hasGPO3Polarity

          public boolean hasGPO3Polarity()

      In separate output mode, a failure will set GPO3 low or high depending on this setting.
      Specified by:
        `hasGPO3Polarity` in interface `StpApi.GPOConfigOrBuilder`

    - #### getGPO3Polarity

          public StpApi.GPIOPolarity getGPO3Polarity()

      In separate output mode, a failure will set GPO3 low or high depending on this setting.
      Specified by:
        `getGPO3Polarity` in interface `StpApi.GPOConfigOrBuilder`

    - #### setGPO3Polarity

          public StpApi.GPOConfig.Builder setGPO3Polarity(StpApi.GPIOPolarity value)

      In separate output mode, a failure will set GPO3 low or high depending on this setting.

    - #### clearGPO3Polarity

          public StpApi.GPOConfig.Builder clearGPO3Polarity()

      In separate output mode, a failure will set GPO3 low or high depending on this setting.

    - #### hasGPOPulseDuration

          public boolean hasGPOPulseDuration()

      The output pulse duration in milliseconds. A value of zero means toggle as fast as possible.
      Specified by:
        `hasGPOPulseDuration` in interface `StpApi.GPOConfigOrBuilder`

    - #### getGPOPulseDuration

          public int getGPOPulseDuration()

      The output pulse duration in milliseconds. A value of zero means toggle as fast as possible.
      Specified by:
        `getGPOPulseDuration` in interface `StpApi.GPOConfigOrBuilder`

    - #### setGPOPulseDuration

          public StpApi.GPOConfig.Builder setGPOPulseDuration(int value)

      The output pulse duration in milliseconds. A value of zero means toggle as fast as possible.

    - #### clearGPOPulseDuration

          public StpApi.GPOConfig.Builder clearGPOPulseDuration()

      The output pulse duration in milliseconds. A value of zero means toggle as fast as possible.

    - #### hasEnableOperationResultGpo

          public boolean hasEnableOperationResultGpo()

      If set to true, the GPO will change when the operation is complete. If false the client may set pass/fail with the set_operation_result_gpo command.
      Specified by:
        `hasEnableOperationResultGpo` in interface `StpApi.GPOConfigOrBuilder`

    - #### getEnableOperationResultGpo

          public boolean getEnableOperationResultGpo()

      If set to true, the GPO will change when the operation is complete. If false the client may set pass/fail with the set_operation_result_gpo command.
      Specified by:
        `getEnableOperationResultGpo` in interface `StpApi.GPOConfigOrBuilder`

    - #### setEnableOperationResultGpo

          public StpApi.GPOConfig.Builder setEnableOperationResultGpo(boolean value)

      If set to true, the GPO will change when the operation is complete. If false the client may set pass/fail with the set_operation_result_gpo command.

    - #### clearEnableOperationResultGpo

          public StpApi.GPOConfig.Builder clearEnableOperationResultGpo()

      If set to true, the GPO will change when the operation is complete. If false the client may set pass/fail with the set_operation_result_gpo command.